## org.gnome.zeitgeist.DataSourceRegistry org.gnome.zeitgeist.DataSourceRegistry |

## Methods

    GetDataSources           ()
    RegisterDataSource       ()
    SetDataSourceEnabled     ()
    GetDataSourceFromId      ()

## Signals

    DataSourceDisconnected     ()
    DataSourceEnabled          ()
    DataSourceRegistered       ()

## Description

## Details

### GetDataSources ()

    GetDataSources           ()

`cancellable` : |
`_callback_` : | callback to call when the request is satisfied
`_user_data_` : | the data to pass to @_callback_ function

### RegisterDataSource ()

    RegisterDataSource       ()

`unique_id` : |
`name` : |
`description` : |
`event_templates` : |
`cancellable` : |
`sender` : |
`_callback_` : | callback to call when the request is satisfied
`_user_data_` : | the data to pass to @_callback_ function

### SetDataSourceEnabled ()

    SetDataSourceEnabled     ()

`unique_id` : |
`enabled` : |
`cancellable` : |
`_callback_` : | callback to call when the request is satisfied
`_user_data_` : | the data to pass to @_callback_ function

### GetDataSourceFromId ()

    GetDataSourceFromId      ()

`unique_id` : |
`cancellable` : |
`_callback_` : | callback to call when the request is satisfied
`_user_data_` : | the data to pass to @_callback_ function

## Signal Details

### The `DataSourceDisconnected` signal

    DataSourceDisconnected     ()

`data_source` : |

### The `DataSourceEnabled` signal

    DataSourceEnabled          ()

`unique_id` : |
`enabled` : |

### The `DataSourceRegistered` signal

    DataSourceRegistered       ()

`data_source` : |